Extending Qt Creator Manual | BaseFileWizard

Extending Qt Creator Manual 4.5.2

# BaseFileWizard Class

(Core::BaseFileWizard)

The BaseFileWizard class implements a generic wizard for creating files. More...

Header: | #include <BaseFileWizard>
Inherits: | Utils::Wizard
Inherited By: | ProjectExplorer::BaseProjectWizardDialog

- List of all members, including inherited members

## Public Functions

| BaseFileWizard(const BaseFileWizardFactory *factory, const QVariantMap &extraValues, QWidget *parent = 0)
void | accept()
QList<QWizardPage *> | extensionPages()
void | initializePage(int id)
void | reject()

- 10 public functions inherited from Utils::Wizard

### Additional Inherited Members

- 1 property inherited from Utils::Wizard
- 3 protected functions inherited from Utils::Wizard

## Detailed Description

The BaseFileWizard class implements a generic wizard for creating files.

The following abstract functions must be implemented:

- create(): Called to create the QWizard dialog to be shown.
- generateFiles(): Generates file content.

The behaviour can be further customized by overwriting the virtual function `postGenerateFiles()`, which is called after generating the files.

See also Core::GeneratedFile, Core::BaseFileWizardParameters, Core::StandardFileWizard, and Core::Internal::WizardEventLoop.

## Member Function Documentation

### BaseFileWizard::BaseFileWizard(const BaseFileWizardFactory *factory, const QVariantMap &extraValues, QWidget *parent = 0)

Default constructs an instance of BaseFileWizard.

### void BaseFileWizard::accept()

### QList<QWizardPage *> BaseFileWizard::extensionPages()

### void BaseFileWizard::initializePage(int id)

### void BaseFileWizard::reject()